Debian Bug report logs - #700341
fonts-ipafont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze

version graph

Package: src:fonts-ipafont; Maintainer for src:fonts-ipafont is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Mon, 11 Feb 2013 20:39:02 UTC

Severity: important

Tags: patch

Found in version fonts-ipafont/00303-10

Fixed in version fonts-ipafont/00303-10.1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700341; Package src:fonts-ipafont. (Mon, 11 Feb 2013 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonts-ipafont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Mon, 11 Feb 2013 21:38:08 +0100
[Message part 1 (text/plain, inline)]
Source: fonts-ipafont
Version: 00303-10
Severity: important
Tags: patch
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

<template>

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

The leftover files are actually alternatives that were installed by the
package but have not been properly removed.

While there is ongoing discussion how to remove alternatives correctly
(see http://bugs.debian.org/71621 for details) the following strategy
should work for regular cases:
* 'postinst configure' always installs the alternative
* 'prerm remove' removes the alternative
* 'postrm remove' and 'postrm disappear' remove the alternative
In all other cases a maintainer script is invoked (e.g. upgrade,
deconfigure) the alternatives are not modified to preserve user
configuration.
Removing the alternative in 'prerm remove' avoids having a dangling link
once the actual file gets removed, but 'prerm remove' is not called in
all cases (e.g. unpacked but not configured packages or disappearing
packages) so the postrm must remove the alternative again
(update-alternatives gracefully handles removal of non-existing
alternatives).

Note that the arguments for adding and removing alternatives differ, for
removal it's 'update-alternatives --remove <name> <path>'.

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

</template>

>From the attached log (scroll to the bottom...):

0m58.7s INFO: Warning: Package purging left files on system:
  /etc/alternatives/ttf-japanese-gothic.ttf -> /usr/share/fonts/opentype/ipafont/ipag.ttf	 not owned
  /etc/alternatives/ttf-japanese-mincho.ttf -> /usr/share/fonts/opentype/ipafont/ipam.ttf	 not owned
  /usr/share/fonts/	 owned by: fonts-ipafont-mincho, fonts-ipafont-gothic
  /usr/share/fonts/truetype/	 owned by: fonts-ipafont-mincho, fonts-ipafont-gothic
  /usr/share/fonts/truetype/ttf-japanese-gothic.ttf -> /etc/alternatives/ttf-japanese-gothic.ttf	 not owned
  /usr/share/fonts/truetype/ttf-japanese-mincho.ttf -> /etc/alternatives/ttf-japanese-mincho.ttf	 not owned


Due to the package rename, the stuff in the preinst script is not being
run at all during upgrades from squeeze: fonts-ipafont-* will always be a
new install, so "$2" will be empty and all the
  dpkg --compare-versions "$2" lt-nl "$someversion"
will evaluate to false.

I'll add a patch once I get the bug number. It does two things:

* Add preinst to the transitional packages to remove
  the alternative there. But there is real no guarantee for the transitional
  being installed at all ... but if it is installed, u-a won't emit a
  diagnostic about something dangling ...
* fonts-ipafont-*.preinst: run the alternative cleanup on fresh installation
  to ensure the cleanup is run even if the transitionals are not used

Please get this fixed in sid and unblocked for wheezy to fix this
upgrade problem. I also offer (and intend to) to NMU fonts-ipafont to take
care of this.


cheers,

Andreas
[otf-ipafont_00303-10.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700341; Package src:fonts-ipafont. (Mon, 11 Feb 2013 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 21:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 700341@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700341@bugs.debian.org>
Subject: Re: fonts-ipafont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Mon, 11 Feb 2013 22:32:45 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #700341

Attaching the patch.
Versioning is for a NMU, for a maintainer upload s/-10.1/-11/ globally.

Verified several upgrade scenarios with piuparts.


Andreas
[700341.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700341; Package src:fonts-ipafont. (Thu, 14 Feb 2013 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 14 Feb 2013 18:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 700341@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700341@bugs.debian.org>
Subject: Re: fonts-ipafont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Thu, 14 Feb 2013 19:21:01 +0100
On 2013-02-11 22:32, Andreas Beckmann wrote:
> Attaching the patch.
> Versioning is for a NMU, for a maintainer upload s/-10.1/-11/ globally.

NMU uploaded to DELAYED/5.
Please let me know if I should delay it longer.


Andreas



Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 10:33:03 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Tue, 19 Feb 2013 18:36:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Tue, 19 Feb 2013 18:36:06 GMT) Full text and rfc822 format available.

Message #22 received at 700341-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700341-close@bugs.debian.org
Subject: Bug#700341: fixed in fonts-ipafont 00303-10.1
Date: Tue, 19 Feb 2013 18:32:34 +0000
Source: fonts-ipafont
Source-Version: 00303-10.1

We believe that the bug you reported is fixed in the latest version of
fonts-ipafont, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated fonts-ipafont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 14 Feb 2013 18:51:13 +0100
Source: fonts-ipafont
Binary: fonts-ipafont fonts-ipafont-gothic fonts-ipafont-mincho otf-ipafont otf-ipafont-mincho otf-ipafont-gothic
Architecture: source all
Version: 00303-10.1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 fonts-ipafont - Japanese OpenType font set, IPAfont
 fonts-ipafont-gothic - Japanese OpenType font set, IPA Gothic font
 fonts-ipafont-mincho - Japanese OpenType font set, IPA Mincho font
 otf-ipafont - transitional dummy package
 otf-ipafont-gothic - transitional dummy package
 otf-ipafont-mincho - transitional dummy package
Closes: 700341
Changes: 
 fonts-ipafont (00303-10.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * otf-ipafont-*.preinst: Unregister the ttf-japanese-*.ttf alternatives.
   * fonts-ipafont-*.preinst: Clean up the ttf-japanese-*.ttf alternatives set
     up by otf-ipafont-* in squeeze. This needs to be done in fonts-ipafont-*
     as well since there is no guarantee that the transitional otf-ipafont-*
     packages were installed and did clean this up. Since new installations of
     fonts-ipafont-* cannot be distinguished from "upgrades" from otf-ipafont-*
     this needs to be run on new installations, too.  (Closes: #700341)
Checksums-Sha1: 
 2f05d1face875a244dafb14d38915255ac8f55b7 2303 fonts-ipafont_00303-10.1.dsc
 fdb3285873c02c5832b1b4c5f743e9ac980a6d67 13676 fonts-ipafont_00303-10.1.debian.tar.gz
 5bb7058311e63724ba576294a82a540003f6f235 11546 fonts-ipafont_00303-10.1_all.deb
 3b4b00778a0b068210e93365fceb96d50fc5423d 3524646 fonts-ipafont-gothic_00303-10.1_all.deb
 aa5e61013a4a305c83e0ad15afa6a62c4a3996be 4726810 fonts-ipafont-mincho_00303-10.1_all.deb
 69bfb390fa718b260668602693d3c885e18683e4 10716 otf-ipafont_00303-10.1_all.deb
 53bc9e10b8788e55aa8b737fff14a714a634d059 10938 otf-ipafont-mincho_00303-10.1_all.deb
 3c662fb0dbf70df4ac893c1ba6f0d465bdb04636 10938 otf-ipafont-gothic_00303-10.1_all.deb
Checksums-Sha256: 
 0fa8575eaa57875ba5e7229b2bef9ea38bdde8dde34bad79adad4f5fc28cdc71 2303 fonts-ipafont_00303-10.1.dsc
 abda368d98b74e4430ee905bc6a97423b83a90742234d15a5ac891327fc9f6e2 13676 fonts-ipafont_00303-10.1.debian.tar.gz
 df78a2b9f35bd812bcfb38028437370b7e5c242cd57d065d013a04bb8ca22cab 11546 fonts-ipafont_00303-10.1_all.deb
 5ac3f9ebcc14039ab327f01be56c5b057f8b4411033fdefbd0e5ed8253659f27 3524646 fonts-ipafont-gothic_00303-10.1_all.deb
 9c55a734dda78c65a8d1eb75712f3ad0e6f4d6ebfd1f9d3bb378a983919a2076 4726810 fonts-ipafont-mincho_00303-10.1_all.deb
 703d9e59a7c14151b47a085bb9134a7e967d42ee34492f879620e8844d66e393 10716 otf-ipafont_00303-10.1_all.deb
 d95776c6bfb8b843dbe721621c1c69901ad2f9475d0f0d449b23ea9ddb7cddd1 10938 otf-ipafont-mincho_00303-10.1_all.deb
 3011b0582270c9bb75a598e72e0d382f7ddb6f4e160525460c94cd48f4cf0bd5 10938 otf-ipafont-gothic_00303-10.1_all.deb
Files: 
 b45f7667bcc2f2ac37d9578717693b41 2303 fonts optional fonts-ipafont_00303-10.1.dsc
 452176401c7aa4bf344e36f683b63f6b 13676 fonts optional fonts-ipafont_00303-10.1.debian.tar.gz
 86fc6cbfbc4b71b75683d20623f37aa2 11546 fonts optional fonts-ipafont_00303-10.1_all.deb
 f3ec8a8a3236690a046b83fa83cae3dc 3524646 fonts optional fonts-ipafont-gothic_00303-10.1_all.deb
 1837ed6552ddf4273ae74253cd7a20ff 4726810 fonts optional fonts-ipafont-mincho_00303-10.1_all.deb
 f40a1ff59403f300049295b367d46190 10716 oldlibs extra otf-ipafont_00303-10.1_all.deb
 617dde992898e854815ef1fa9b27fbb9 10938 oldlibs extra otf-ipafont-mincho_00303-10.1_all.deb
 3e4dc08d87824eb5f3e05e2d052df056 10938 oldlibs extra otf-ipafont-gothic_00303-10.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRHSctAAoJEF+zP5NZ6e0Ic/oP/2HBId2t8Gpq6bnPUgYkoTGV
DnD1DUo2ah7A6YVEiO8fB9ftYEdbxTnzIzqTWMYEp5rTqt3lkwref2ftKYKrAh51
IkXLg6Rm7QV0notwl098Bd2D2hxuPj0W9keF84WutBTzcPT5S0grv4svKdv/EdVS
vkjuGd+n9pU1M41c9VSeoq25tW2TBBlTwfz+IuAQ5fEz7X8oKW6XPP5z61+xpdEJ
7faWtU8VgzSgy1yDvKtd+FOXXCfxbGT4zSz7PBZU92HSzcUkUfbQD3Nfps2oD8T/
jBMmDg+VzL239WN+11AzVtnbkwcWRjnSWjr44EB/QOmxxhY9Iew6xgZ3/6BggRs9
LmEiG5NiY2KSefJML+5rwIMCpJBl20+zeJP5pnXik9C4gwAk8UiROqr9DnBpr1vd
UCkdVvPhN+zFicO/KC7UyFky6/NNqD3kP/DEZept7b04S8RwH9eDw1Q0GBMzMrKR
lxtSvQ4njhhrPhLvM27g5itqQPHO2MoGPs1McDd7eV0WzHSYkQHRTmhFyQMmz8ob
6Ve24ASj4zUzaL5DhY82Lmzs1O3ggttbEPksxrFyeKlw3fqZrDvhv7hd7trO9nUt
LAKWA3zmCnY5SDuU+tn9RYvQpHPaKP22oYEXlrPUjBnXXyfXzOWeYqbh7SWP5+DJ
1G7g/QdJ0z8nmGvUhn0j
=8R6S
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from henrich@alioth.debian.org to control@bugs.debian.org. (Sat, 23 Mar 2013 23:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 05 Apr 2013 11:24:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:29:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:43:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.